Show / Hide Table of Contents

# Class OverwriteUpdateAuditLogData

Contains a piece of audit log data related to the update of a permission overwrite.

##### Inheritance

System.Object
OverwriteUpdateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class OverwriteUpdateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel that the overwrite was updated from.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the channel that the overwrite was updated from.

| Improve this Doc View Source

#### NewPermissions

Gets the overwrite permissions after the changes.

##### Declaration

    public OverwritePermissions NewPermissions { get; }

##### Property Value

Type | Description
--- | ---
OverwritePermissions | An overwrite permissions object representing the overwrite permissions that the overwrite had after the changes.

| Improve this Doc View Source

#### OldPermissions

Gets the overwrite permissions before the changes.

##### Declaration

    public OverwritePermissions OldPermissions { get; }

##### Property Value

Type | Description
--- | ---
OverwritePermissions | An overwrite permissions object representing the overwrite permissions that the overwrite had before the changes were made.

| Improve this Doc View Source

#### OverwriteTargetId

Gets the ID of the overwrite that was updated.

##### Declaration

    public ulong OverwriteTargetId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the overwrite that was updated.

| Improve this Doc View Source

#### OverwriteType

Gets the target of the updated permission overwrite.

##### Declaration

    public PermissionTarget OverwriteType { get; }

##### Property Value

Type | Description
--- | ---
PermissionTarget | The target of the updated permission overwrite.

### Implements

IAuditLogData